package org.uoc.pac3.DroidEye;

import java.util.List;

import org.opencv.core.Core;
import org.opencv.core.Mat;
import org.opencv.core.Point;
import org.opencv.core.Scalar;


/**
 * @author Jordi Anducas Aregall
 *
 *Classe emmbeded de les funcions del opencv per dibuixar a sobre 
 *la immatge, la creu com a classe per tenir més concentrat el
 *que es vol dibuixar, com per ara llistes de coins
 */
public class drawResults {
	

	
	public void DrawText(Mat mImatge, String Text,Point mPoint)
	{
		Core.putText(mImatge, Text, mPoint, 3/* CV_FONT_HERSHEY_COMPLEX */, 0.5, new Scalar(255, 0, 0, 255), 1);
		
	}
	
	public void DrawText(Mat mImatge, String Text,Point mPoint, double fontScale, Scalar color, int thickness)
	{
		Core.putText(mImatge, Text, mPoint, 3/* CV_FONT_HERSHEY_COMPLEX */, fontScale, color, thickness);
		
	}

	public void DrawList(Mat mImatge, List<CoinResult> mListCoins,Point mPoint, int offsetY)
	{
		for (int i = 0; i < mListCoins.size(); i++) {

			Core.putText(mImatge, mListCoins.get(i).toString(), new Point(mPoint.x, mPoint.y+offsetY*i), 3, 0.4, new Scalar(0, 255, 0, 255), 1);

		}
	
	}

}
